Module
Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part One

Tene hajajo injeesate...

Surki - Assishsha - Fuula Ledi-Giddo

## BESSELI

Calculates the modified Bessel function of the first kind In(x).

### Syntax

BESSELI(X; N)

X assiishshu shallagama noosi hornyooti.

N is a positive integer (N >= 0) representing the order of the Bessel function In(x)

### Example

=BESSELI(3.45, 4), returns 0.651416873060081

=BESSELI(3.45, 4.333), returns 0.651416873060081, same as above because the fractional part of N is ignored.

=BESSELI(-1, 3), returns -0.022168424924332

## BESSELJ

Calculates the Bessel function of the first kind Jn(x) (cylinder function).

### Syntax

BESSELJ(X; N)

X assiishshu shallagama noosi hornyooti.

N is a positive integer (N >= 0) representing the order of the Bessel function Jn(x)

### Example

=BESSELJ(3.45, 4), returns 0.196772639864984

=BESSELJ(3.45, 4.333), returns 0.196772639864984, same as above because the fractional part of N is ignored.

=BESSELJ(-1, 3), returns -0.019563353982668

## BESSELK

Calculates the modified Bessel function of the second kind Kn(x).

### Syntax

BESSELK(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Kn(x)

### Example

=BESSELK(3.45, 4), returns 0.144803466373734

=BESSELK(3.45, 4.333), returns 0.144803466373734, same as above because the fractional part of N is ignored.

=BESSELK(0, 3), returns Err:502 – invalid argument (X=0)

## BESSELY

Calculates the Bessel function of the second kind Yn(x).

### Syntax

BESSELY(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Yn(x)

### Example

=BESSELY(3.45, 4), returns -0.679848116844476

=BESSELY(3.45, 4.333), returns -0.679848116844476, same as above because the fractional part of N is ignored.

=BESSELY(0, 3), returns Err:502 – invalid argument (X=0)

## BIN2DEC

Gumu tonnishshu kiiro eora lamishshu kiirooti.

### Syntax

BIN2DEC(Kiiro)

Kiiro lamishshu kiirooti. Kiiro jawunni 10 darguwa (biituwa)afidhino. Roore hasiissanno biite malaatu biiteeti. Negaatiive kiirra lamu ledo gede eino.

### Example

=BIN2DEC(1100100) 100 qolanno.

## BIN2HEX

Gumu leekkitonnishshu kiiro eora lamishshu kiirooti.

### Syntax

BIN2HEX(Kiiro; Darguwa)

Kiiro lamishshu kiirooti. Kiiro jawunni 10 darguwa (biituwa)afidhino. Roore hasiissanno biite malaatu biiteeti. Negaatiive kiirra lamu ledo gede eino.

Darguwa yaa guma ikkitanno darguwa kiirooti.

### Example

=BIN2HEX(1100100;6) 000064 qolanno.

## BIN2OCT

Gumu settishshu kiiro eora lamishshu kiirooti.

### Syntax

BIN2OCT(Kiiro; Darguwa)

Kiiro lamishshu kiirooti. Kiiro jawunni 10 darguwa (biituwa)afidhino. Roore hasiissanno biite malaatu biiteeti. Negaatiive kiirra lamu ledo gede eino.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=BIN2OCT(1100100;4) 0144 qolanno.

## DEC2BIN

Gumu -512 nna 511 mereero einotonnishshu kiirora lamishshu kiirooti.

### Syntax

DEC2BIN(Kiiro; Darguwa)

Kiiro tonnishshu kiirooti. Kiiro negaatiive ikkituro, assiishshu lamishshu kiiro 10 fikiimooti ledo qolanno. Roore hasiissanno biite malaatu biiteeti, wole 9 biituwa hornyo qoltanno.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=DEC2BIN(100;8) 01100100 qolanno.

## DEC2HEX

Gumu tonnishshu kiiro eora leetonnishshu kiirooti.

### Syntax

DEC2HEX(Kiiro; Darguwa)

Kiiro tonnishshu kiirooti. Kiiro negaatiive ikkituro, assiishshu leetonnishshu Kiiro 10 fikiimooti (40 biituwa)ledo qolanno. Roore hasiissanno biite malaatu biiteeti, wole 39 biituwi hornyo qolanno.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=DEC2HEX(100;4) 0064 qolanno.

## DEC2OCT

Gumu settishshu kiiro eora tonnishshu kiirooti.

### Syntax

DEC2OCT(Kiiro; Darguwa)

Kiiro tonnishshu kiirooti. Kiiro negaatiive ikkituro, assiishshu leetonnishshu Kiiro 10 fikiimooti (30 biituwa)ledo qolanno. Roore hasiissanno biite malaatu biiteeti, wole 29 biituwi hornyo qolanno.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=DEC2OCT(100;4) 0144 qolanno.

## DELTA

Gumu TRUE (1) lamenti kiirra, tidhote gede shiqqinoti, taaloho, ikka hoogiro FALSE (0).

### Syntax

DELTA(Kiiro1; Kiiro2)

### Example

=DELTA(1;2) 0 qolanno.

## ERF

Gussaanu so'rote intigeraale hornyuwa qolanno.

### Syntax

ERF(LowerLimit; UpperLimit)

ShimiidiGumulo intigeraalete shiimiidi gumulooti.

UpperLimit is optional. It is the upper limit of the integral. If this value is missing, the calculation takes place between 0 and the lower limit.

### Example

=ERF(0;1) 0.842701 qolanno.

## ERF.PRECISE

Returns values of the Gaussian error integral between 0 and the given limit.

### Syntax

ERF.PRECISE(LowerLimit)

LowerLimit is the limit of the integral. The calculation takes place between 0 and this limit.

### Example

=ERF.PRECISE(1) returns 0.842701.

## ERFC

Gussaanu so'rote intigeraale ledote hornyuwa x nna gofimarchu nookki kiiro mereero qolanno.

### Syntax

ERFC(ShiimiidiGumulo)

ShimiidiGumulo intigeraalete shiimiidi gumulooti

### Example

=ERFC(1) 0.157299 qolanno.

## ERFC.PRECISE

Returns complementary values of the Gaussian error integral between x and infinity.

### Syntax

ERFC.PRECISE(LowerLimit)

ShimiidiGumulo intigeraalete shiimiidi gumulooti

### Example

=ERFC.PRECISE(1) returns 0.157299.

## GESTEP

Kiiro rooriro woy taaliro Qaafoikkiro gumu 1.

### Syntax

GESTEP(kiiro; Qaafo)

### Example

=GESTEP(5;1) 1 qolanno.

## HEX2BIN

Gumu lamishshu eora lekkitonnishshu kiirooti.

### Syntax

HEX2BIN(Kiiro; Darguwa)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=HEX2BIN("6a";8) returns 01101010.

## HEX2DEC

Gumu tonnishshu eora leekkitonnishshu kiirooti.

### Syntax

HEX2DEC(kiiro)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

### Example

=HEX2DEC("6a") returns 106.

## HEX2OCT

Gumu settishshu kiiro eora leekkitonnishshu kiirooti.

### Syntax

HEX2OCT(Kiiro; Darguwa)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=HEX2OCT("6a";4) returns 0152.

Fiixoo'mino umo

Add-in Functions

Add-in Functions, List of Analysis Functions Part Two

Text Functions

Functions by Category